//the following three shaders are modified versions of a shader supplied by ydnar--HUGE thanks!
//some explanation: q3map_tcGen ivector (<sx> <sy> <sz>) (<tx> <ty> <tz>) 

//New texcoord generation by world projection. This allows you to project a texture onto a surface in a fixed
//way, regardless of its orientation. S coordinates correspond to the "x" coordinates on the texture itself.
//T coordinates correspond to the "y" coordinates on the texture itself. The measurements are in game units.

//Example: q3map_tcGen ivector (256 0 0) (0 256 0)
//This would project a texture with a repeat every 256 units across the X/Y plane.

//Note that these shaders also use textures originally created by others and only modified by me.
//kt_rock_1c_pjw and kattex-3-stone-bmp_pjw are modifications of textures
//originally created by Kat(see pjw3dm5.txt for contact info)
//pjrock17_pjw3 is a modification of an original id stone texture

textures/pjw3dm5/pjw_rock_ZX
{
 	qer_editorimage textures/pjw3dm5/zx.tga
	q3map_nonplanar
	q3map_shadeangle 89
	q3map_tcGen ivector ( 256 0 0 ) ( 0 0 256 )
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pjw3dm5/kt_rock_1c_pjw2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pjw3dm5/pjrock17_pjw3.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		tcMod scale 0.7 0.7
	}
	{
		map textures/pjw3dm5/kattex-3-stone-bmp_pjw.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		tcMod scale 3 3
		detail
	}
}

textures/pjw3dm5/pjw_rock_ZY
{
 	qer_editorimage textures/pjw3dm5/yz.tga
	q3map_nonplanar
	q3map_shadeangle 89
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 )
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pjw3dm5/kt_rock_1c_pjw2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pjw3dm5/pjrock17_pjw3.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		tcMod scale 0.7 0.7
	}
	{
		map textures/pjw3dm5/kattex-3-stone-bmp_pjw.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		tcMod scale 3 3
		detail
	}
}

textures/pjw3dm5/pjw_rock_XY
{
 	qer_editorimage textures/pjw3dm5/xy.tga
	q3map_nonplanar
	q3map_shadeangle 89
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pjw3dm5/kt_rock_1c_pjw2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pjw3dm5/pjrock17_pjw3.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		tcMod scale 0.7 0.7
	}
	{
		map textures/pjw3dm5/kattex-3-stone-bmp_pjw.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		tcMod scale 3 3
		detail
	}
}

textures/pjw3dm5/cretetrimlight2
{
	qer_editorimage textures/pjw3dm5/cretetrimlight2.tga
	q3map_lightimage textures/pjw3dm5/cretelighttrim01.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000

	{
		map textures/pjw3dm5/cretetrimlight2.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
	{
		map textures/pjw3dm5/cretelighttrim01.blend.tga
		blendfunc add
	}
}

textures/pjw3dm5/cretetrimlight3b
{
	qer_editorimage textures/pjw3dm5/cretetrimlight3b.tga
	q3map_lightimage textures/pjw3dm5/cretelighttrim3.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000

	{
		map textures/pjw3dm5/cretetrimlight3b.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
	{
		map textures/pjw3dm5/cretelighttrim3.blend.tga
		blendfunc add
	}
}

textures/pjw3dm5/cretetrimlight4
{
	qer_editorimage textures/pjw3dm5/cretetrimlight4.tga
	q3map_lightimage textures/pjw3dm5/cretelighttrim01.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000

	{
		map textures/pjw3dm5/cretetrimlight4.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
	{
		map textures/pjw3dm5/cretelighttrim01.blend.tga
		blendfunc add
	}
}

textures/pjw3dm5/invisoslime
{
	qer_editorimage textures/common/white.tga
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm slime
	qer_trans 0.4
}

textures/pjw3dm5/jajlake2_skybox
{
	qer_editorimage textures/pjw3dm5/jajlake2_rt_view.tga
	q3map_lightimage env/common/white.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_globaltexture
	q3map_skylight 200 3
	q3map_sun 0.65 0.8 0.9 150 330 25
	skyparms env/pjw3dm5sky/jajlake2 - -
}

textures/pjw3dm5/light01_decal
{
	qer_editorimage textures/pjw3dm5/dablue.blend.tga
	q3map_lightimage textures/pjw3dm5/blue_lightimage.tga
	q3map_backsplash 20 40
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip
	q3map_surfacelight 6000

	{
		map textures/pjw3dm5/dablue.blend.tga
	}
}

textures/pjw3dm5/light01_decal_dark
{
	qer_editorimage textures/pjw3dm5/dablue.blend.tga
	q3map_backsplash 20 40
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip

	{
		map textures/pjw3dm5/dablue.blend.tga
	}
}

textures/pjw3dm5/lightglass
{
	qer_editorimage textures/base_wall/chrome_metal.tga
	surfaceparm nolightmap
	surfaceparm trans
	qer_trans 0.5
	cull disable

	{
		map textures/base_wall/chrome_metal.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
}

textures/pjw3dm5/redslime
{
	qer_editorimage textures/pjw3dm5/slime7_red.tga
	qer_trans .5
	surfaceparm noimpact
	surfaceparm slime
	surfaceparm trans
	q3map_surfacelight 500
	q3map_lightsubdivide 32

	{
		map textures/pjw3dm5/slime7_red.tga
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
	}
}

textures/pjw3dm5/redslime_dim
{
	qer_editorimage textures/pjw3dm5/slime7_red.tga
	qer_trans .5
	surfaceparm noimpact
	surfaceparm slime
	surfaceparm trans
	q3map_surfacelight 250
	q3map_lightsubdivide 32

	{
		map textures/pjw3dm5/slime7_red.tga
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
	}
}

textures/pjw3dm5/rslimeglass
{
	qer_editorimage textures/pjw3dm5/slime7_red.tga
	surfaceparm alphashadow
	cull disable
	q3map_surfacelight 300
	q3map_lightsubdivide 32

	{
		map textures/pjw3dm5/slime7_red.tga
		tcMod turb 0.2 0.05 0.1 0.1
		rgbGen identity
		tcMod scroll 0.025 0.01
	}
	{
		map textures/effects/tinfx2.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/pjw3dm5/rslimepipes
{
	qer_editorimage textures/pjw3dm5/slime7_red.tga
	surfaceparm alphashadow
	surfaceparm slick
	cull disable
	q3map_surfacelight 200
	q3map_lightsubdivide 32

	{
		map textures/pjw3dm5/slime7_red.tga
		rgbGen identity
		tcMod scroll 0.025 0.4
	}
	{
		map textures/effects/tinfx2.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/pjw3dm5/rslimepipes_dim
{
	qer_editorimage textures/pjw3dm5/slime7_red.tga
	surfaceparm alphashadow
	surfaceparm slick
	cull disable
	q3map_surfacelight 100
	q3map_lightsubdivide 32

	{
		map textures/pjw3dm5/slime7_red.tga
		rgbGen identity
		tcMod scroll 0.025 0.4
	}
	{
		map textures/effects/tinfx2.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/pjw3dm5/steplight1
{
	qer_editorimage textures/pjw3dm5/steplight1.tga
	q3map_lightimage textures/pjw3dm5/steplight1.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000

	{
		map textures/pjw3dm5/steplight1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
	{
		map textures/pjw3dm5/steplight1.blend.tga
		blendfunc add
	}
}

textures/pjw3dm5/steplight1b
{
	qer_editorimage textures/pjw3dm5/steplight1b.tga
	q3map_lightimage textures/pjw3dm5/steplight1.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000

	{
		map textures/pjw3dm5/steplight1b.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
	{
		map textures/pjw3dm5/steplight1.blend.tga
		blendfunc add
	}
}

textures/pjw3dm5/tmpjp
{
	qer_editorimage textures/pjw3dm5/tmpjp.tga
	q3map_lightimage textures/pjw3dm5/tmpjp.blend.tga
	q3map_surfacelight 500

	{
		map textures/pjw3dm5/tmpjp.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/pjw3dm5/tmpjp.blend.tga
		blendfunc add
		rgbGen wave sin 0 1 0 1
	}
}

textures/pjw3dm5/tmpjp_v
{
	qer_editorimage textures/pjw3dm5/tmpjp.tga
	surfaceparm nolightmap

	{
		map textures/pjw3dm5/tmpjp.tga
		rgbGen vertex
	}
}

textures/pjw3dm5/vx_jajlake2_skybox
{
	qer_editorimage textures/pjw3dm5/jajlake2_rt_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_skylight 200 3
	q3map_sun 0.65 0.8 0.9 100 330 25
	skyparms env/pjw3dm5sky/jajlake2 - -
}

//nonsolid version of border11 for lights
//id texture
textures/pjw3dm5/border11_nonsolid
{
	qer_editorimage textures/base_trim/border11.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_trim/border11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//nonsolid version of pewterstep for lights
//id texture
textures/pjw3dm5/pewterstep_nonsolid
{
	qer_editorimage textures/base_trim/pewterstep.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_trim/pewterstep.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//nonsolid version of light tex
//id texture
textures/pjw3dm5/ceil_white_nonsolid
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// ------------------------------------------
// the following shader is (c) 2002 randy reddig
// ydnar@shaderlab.com   http://shaderlab.com
// it may be used/modified in non-
// commercial projects as long as this notice
// is intact and credit is given
// ------------------------------------------


// this shader is a duplicate of the team arena terrain shader
// shipped with gtkradiant, modified to cast alphashadows

models/mapobjects/tree2/branch2
{
	q3map_lightimage textures/slterra/branch2_light.tga
	
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	cull none
	sort 10
  	
	{
		clampmap models/mapobjects/tree2/branch2.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR        
	}
}